Package de.tudresden.sumo.objects

## Class SumoTLSPhase

- java.lang.Object
- - de.tudresden.sumo.objects.SumoTLSPhase

- All Implemented Interfaces:
    `SumoObject`
  Direct Known Subclasses:
    `SumoTLSPhase`

      public class SumoTLSPhase
      extends Object
      implements SumoObject

  Author:
    Mario Krumnow

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `duration` |
    `double` | `maxDur` |
    `double` | `minDur` |
    `String` | `name` |
    `ArrayList<Integer>` | `next` |
    `String` | `phasedef` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoTLSPhase()` |
    `SumoTLSPhase​(double duration, double minDur, double maxDur, String phasedef, ArrayList<Integer> next, String name)` |
    `SumoTLSPhase​(int duration, String phasedef)` |
    `SumoTLSPhase​(int duration, String phasedef, String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### duration

          public double duration

    - #### minDur

          public double minDur

    - #### maxDur

          public double maxDur

    - #### phasedef

          public String phasedef

    - #### next

          public ArrayList<Integer> next

    - #### name

          public String name

  - ### Constructor Detail

    - #### SumoTLSPhase

          public SumoTLSPhase()

    - #### SumoTLSPhase

          public SumoTLSPhase​(double duration,
                              double minDur,
                              double maxDur,
                              String phasedef,
                              ArrayList<Integer> next,
                              String name)

    - #### SumoTLSPhase

          public SumoTLSPhase​(int duration,
                              String phasedef)

    - #### SumoTLSPhase

          public SumoTLSPhase​(int duration,
                              String phasedef,
                              String name)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`